complexType "CommodityExercise"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 5 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | (americanExercise? | europeanExercise?), (relativePaymentDates? | paymentDates? | masterAgreementPaymentDates?)
</...>

Content Model Elements (5):

  americanExercise (in exercise in commodityOption), europeanExercise (in exercise in commodityOption), masterAgreementPaymentDates, | paymentDates (in exercise in commodityOption), relativePaymentDates

All Direct / Indirect Based Elements (1):

  exercise (in commodityOption)

Known Usage Locations

- As direct type of elements (1):
  exercise (in commodityOption)

Annotation
The parameters for defining how the commodity option can be exercised, how it is priced and how it is settled.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="CommodityExercise"> <xsd:sequence> <xsd:choice> <xsd:element minOccurs="0" name="americanExercise" type="CommodityAmericanExercise"/> <xsd:element minOccurs="0" name="europeanExercise" type="CommodityEuropeanExercise"/> </xsd:choice> <xsd:group ref="CommodityPaymentDates.model"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/5)
americanExercise

  Type: | CommodityAmericanExercise, complex content

  The parameters for defining the exercise period for an American style option together with the rules governing the quantity of the commodity that can be exercised on any given exercise date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="americanExercise" type="CommodityAmericanExercise"/>

europeanExercise

  Type: | CommodityEuropeanExercise, complex content

  The parameters for defining the expiration date and time for a European or Asian style option. For an Asian style option the expiration date is equivalent to the termination date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="europeanExercise" type="CommodityEuropeanExercise"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.